#define NAME_PAK 1
#define NAME_PAB 2

#define PLAT_PS2 0
#define PLAT_NGC 1
#define PLAT_XEN 2

void DisplayError(HWND hDlg, TCHAR *errorMessage);
BOOL RequestPakName(HWND hDlg, PAKReturn *pakInfo, DWORD nameType);
void EndianSwap(LPDWORD x);
BOOL WINAPI ReadFileBe(HANDLE hFile, LPVOID lpBuffer, DWORD nNumberOfBytesToRead, LPDWORD lpNumberOfBytesRead, LPOVERLAPPED lpOverlapped, BOOL isBigEndian);
BOOL WINAPI WriteFileBe(HANDLE hFile, LPCVOID lpBuffer, DWORD nNumberOfBytesToWrite, LPDWORD lpNumberOfBytesWritten, LPOVERLAPPED lpOverlapped, BOOL isBigEndian);